import { isAsyncServiceImplementationLoader } from "@wroud/di/helpers/isAsyncServiceImplementationLoader.js";
export async function loadImplementation(descriptor) {
    let implementation = descriptor.implementation;
    if (isAsyncServiceImplementationLoader(implementation)) {
        implementation = await implementation.load();
    }
    return implementation;
}
//# sourceMappingURL=loadImplementation.js.map