import { type Selection } from "d3";
import type { IDefs } from "./addDefs.js";
import { type INodeDatum } from "./createNodes.js";
export type ILinkDatum = d3.SimulationLinkDatum<INodeDatum>;
export declare function createLinks(paper: Selection<SVGGElement, unknown, null, undefined>, defs: IDefs): {
    readonly links: Selection<import("d3-selection").BaseType, ILinkDatum, SVGGElement, unknown>;
    updateData(data: ILinkDatum[]): void;
    update(): void;
    highlight(source: INodeDatum): void;
    resetHighlight(): void;
};
//# sourceMappingURL=createLinks.d.ts.map