import { zoom } from "d3";
export function createPaper(svg) {
    const g = svg.append("g");
    // const { width, height } = svg.node()!.getBoundingClientRect();
    svg.call(zoom()
        .extent([
        [0, 0],
        [0, 0],
        // [width, height],
    ])
        .scaleExtent([0.1, 2])
        .on("zoom", zoomed)
        .filter((event) => {
        const svgFocused = document.activeElement === svg.node() || event.type !== "wheel";
        return svgFocused;
    }));
    svg.attr("tabindex", 0);
    function zoomed({ transform }) {
        g.attr("transform", transform.toString());
    }
    return {
        get element() {
            return g;
        },
    };
}
//# sourceMappingURL=createPaper.js.map